org.eclipse.viatra.integration.mwe2.mwe2impl

## Class SubscribeTo

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.SubscribeTo

- All Implemented Interfaces:
    ISubscribeTo

      public class SubscribeTo
      extends java.lang.Object
      implements ISubscribeTo

  SubscribeTo objects provide an interface for receiving messages from a given topic and processing them in a single call, via binding a Topic and a MessageProcessor together

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscribeTo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITransformationStep` | `getParent()`
    `int` | `getPriority()`
    `IMessageProcessor<?,? extends IMessage<?>>` | `getProcessor()`
    `java.lang.String` | `getTopicName()`
    `void` | `processMessages()` Process all unprocessed messages contained by the topic specified in the topicName property
    `void` | `setParent(ITransformationStep parent)`
    `void` | `setPriority(java.lang.String priority)`
    `void` | `setProcessor(IMessageProcessor<?,? extends IMessage<?>> processor)`
    `void` | `setTopicName(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscribeTo

          public SubscribeTo()

  - ### Method Detail

    - #### getParent

          public ITransformationStep getParent()

      Specified by:
        `getParent` in interface `ISubscribeTo`

    - #### getProcessor

          public IMessageProcessor<?,? extends IMessage<?>> getProcessor()

      Specified by:
        `getProcessor` in interface `ISubscribeTo`

    - #### getTopicName

          public java.lang.String getTopicName()

      Specified by:
        `getTopicName` in interface `ISubscribeTo`

    - #### processMessages

          public void processMessages()

      Process all unprocessed messages contained by the topic specified in the topicName property
      Specified by:
        `processMessages` in interface `ISubscribeTo`

    - #### setParent

          public void setParent(ITransformationStep parent)

      Specified by:
        `setParent` in interface `ISubscribeTo`

    - #### setProcessor

          public void setProcessor(IMessageProcessor<?,? extends IMessage<?>> processor)

      Specified by:
        `setProcessor` in interface `ISubscribeTo`

    - #### setTopicName

          public void setTopicName(java.lang.String name)

      Specified by:
        `setTopicName` in interface `ISubscribeTo`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `ISubscribeTo`

    - #### setPriority

          public void setPriority(java.lang.String priority)

      Specified by:
        `setPriority` in interface `ISubscribeTo`